/******************************************************************************
**
** Authors : Edwin Chan (with help from MFC)
** Date    : 20-Nov-01
** Filename: CmdTool.cpp 
** Purpose : implementation of the CCmdTool class
**
** History:
** 20-Nov-01 Edwin Chan
**     File Created
** 26-Nov-01 Edwin Chan
**     Updated methods 
**     Added new method OnEditProperties
******************************************************************************/

#include "stdafx.h"
#include "ConGraT.h"
#include "ConGraTDoc.h"
#include "ConGraTView.h"
#include "CmdTool.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

///////////////////////////////////////////////////////////////////////////////
// CCmdTool implementation

CCmdTool::CCmdTool()
{

}

CCmdTool::~CCmdTool()
{

}

void CCmdTool::OnLButtonDown(CConGraTView* pView, UINT nFlags, const CPoint& point)
{
	pView->SetCapture();
	m_FirstPoint = point;
	m_LastPoint = point;
}

void CCmdTool::OnLButtonUp(CConGraTView *pView, UINT nFlags, const CPoint &point)
{
	ReleaseCapture();

	//if (point == m_FirstPoint)
		//reset the View's tool to Select
}

void CCmdTool::OnMouseMove(CConGraTView *pView, UINT nFlags, const CPoint &point)
{
   	m_LastPoint = point;
	SetCursor(AfxGetApp()->LoadStandardCursor(IDC_ARROW));
}

void CCmdTool::OnCancel()
{

}



void CCmdTool::OnEditProperties(CConGraTView *pView)
{

}
